Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message.stream
Interface SignedMessageOutputStreamSpi

All Superinterfaces:
  MessageOutputStreamSpi

public interface SignedMessageOutputStreamSpi
extends MessageOutputStreamSpi

Service provider interface for SignedMessageOutputStream

Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Method Summary
`void` | `engineAddSigner(KeyBundle signingkey, char[] passphrase)` Adds a signer from a keybundle, decrypting it with the given passphrase.
`void` | `engineAddSigner(java.security.PrivateKey signingkey)` Adds a signer

Methods inherited from interface cryptix.message.stream.MessageOutputStreamSpi
`engineClose, engineFlush, engineInit, engineSetAttribute, engineWrite, engineWrite, engineWrite`

Method Detail

### engineAddSigner

    public void engineAddSigner(java.security.PrivateKey signingkey)
                         throws java.lang.IllegalStateException,
                                java.io.IOException,
                                MessageStreamException

  Adds a signer

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if data has already been streamed
    `java.io.IOException` - on a general IOException that is not format specific.
    `MessageStreamException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddSigner

    public void engineAddSigner(KeyBundle signingkey,
                                char[] passphrase)
                         throws java.lang.IllegalStateException,
                                java.io.IOException,
                                MessageStreamException,
                                java.security.UnrecoverableKeyException

  Adds a signer from a keybundle, decrypting it with the given passphrase.

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if data has already been streamed
    `java.io.IOException` - on a general IOException that is not format specific.
    `MessageStreamException` - on a variety of format specific problems.
    `java.security.UnrecoverableKeyException` - if the private key cannot be retrieved from the keybundle (for example because of an incorrect passphrase).
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.